﻿<?php
	session_start();
	if (isset($_SESSION['login_validation']) && $_SESSION['login_validation'] == 1) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<link rel='stylesheet' type='text/css' href='style.css' />
<link rel='stylesheet' type='text/css' href='./accordion/jquery-ui-1.8.16.custom.css' />
<link rel='stylesheet' type='text/css' href='./calendrical/calendrical.css' />
<script type='text/javascript' src='./jquery/jquery-1.8.0.min.js'></script>
<script type='text/javascript' src='./jquery/jquery-ui-1.8.23.custom.min.js'></script>
<script type='text/javascript' src='./calendrical/jquery.calendrical.js'></script>
<script type='text/javascript' src='./validation/jquery.validate.min.js'></script>
<script type='text/javascript' src='./validation/date.validate.js'></script>
<script type='text/javascript' src='./validation/time.validate.js'></script>
<script type='text/javascript'>
	$(function() {
		$( "#accordion" ).accordion();
	});

	$(function() {
		$('#date_1').calendricalDate(); 
		$('#time_start_1, #time_end_1').calendricalTimeRange({
			defaultTime:  {hour: 8, minute: 0},
			minTime: {hour: 8, minute: 0},
			maxTime: {hour: 23, minute: 45},
			timeInterval: 30
		});
	});
	
	$(function() {
		$('#date_2').calendricalDate(); 
	});
	
	$(function() {
		$('#date_start_3, #date_end_3').calendricalDateRange();
	});
	
	$(function() {
		$('#date_start_4, #date_end_4').calendricalDateRange();
		$('#time_start_4, #time_end_4').calendricalTimeRange({
			defaultTime:  {hour: 8, minute: 0},
			minTime: {hour: 8, minute: 0},
			maxTime: {hour: 23, minute: 45},
			timeInterval: 30
		});
    });
	
	$(function(){
		$("#add_event_1").validate({
			rules: {
				"time_end_1": {timeGreaterThan: "#time_start_1"}
			}
		});
		$("#add_event_2").validate();
		$("#add_event_3").validate({
			rules: {
				"date_end_3": {dateGreaterThan: "#date_start_3"},
			}
		});
		$("#add_event_4").validate({
			rules: {
				"date_end_4": {dateGreaterThan: "#date_start_4"},
				"time_end_4": {timeGreaterThan: "#time_start_4"}
			}
		});
	});

</script>

</head>
<body>
<div id='logo'><u>Add event:</u></div>
<div id="login_location"><p class="login"><a href="index.php">Back to calendar</a></p></div>
<div id="accordion">
	<h3><a href="#">Meeting event:</a></h3>
	<div>
		<span class="content_text">
			<form id="add_event_1" name="add_event_1" method="post" action="write_database.php" >
				<strong>Date:</strong><input id="date_1" name="date_1" type="text" value="" class="required" readonly>
				<br />
				<strong>Time from:</strong><input id="time_start_1" name="time_start_1" type="text" value="" class="required" readonly>
				<strong>to:</strong><input id="time_end_1" name="time_end_1" type="text" value="" class="required" readonly>
				<br />
				<strong>Description:</strong><input id="description_1" name="description_1" type="text" size="50" value="" class="required">
				<input id="e" name="e" type="hidden" value="meeting">
				<input type="submit" value="Submit">
			</form>
		</span>
	</div>
	<h3><a href="#">One day event:</a></h3>
	<div>
		<span class="content_text">
			<form id="add_event_2" name="add_event_2" method="post" action="write_database.php" >
				<strong>Date:</strong><input id="date_2" name="date_2" type="text" value="" class="required" readonly>
				<br />
				<strong>Description:</strong><input id="description_2" name="description_2" type="text" size="50" value="" class="required">
				<input id="e" name="e" type="hidden" value="oneday">
				<input type="submit" value="Submit">
			</form>
		</span>
	</div>
	<h3><a href="#">Long day event:</a></h3>
	<div>
		<span class="content_text">
			<form id="add_event_3" name="add_event_3" method="post" action="write_database.php" >
				<strong>Date from:</strong><input id="date_start_3" name="date_start_3" type="text" value="" class="required" readonly>
				<strong>to:</strong><input id="date_end_3" name="date_end_3" type="text" value="" class="required" readonly>
				<br />
				<strong>Description:</strong><input id="description_3" name="description_3" type="text" size="50" value="" class="required">
				<input id="e" name="e" type="hidden" value="longday">
				<input type="submit" value="Submit">
			</form>
		</span>
	</div>
	<h3><a href="#">Weekly repeating event:</a></h3>
	<div>
		<span class="content_text">
			<form id="add_event_4" name="add_event_4" method="post" action="write_database.php" >
				<strong>Date from:</strong><input id="date_start_4" name="date_start_4" type="text" value="" class="required" readonly>
				<strong>to:</strong><input id="date_end_4" name="date_end_4" type="text" value="" class="required" readonly>
				<br />
				<strong>Time from:</strong><input id="time_start_4" name="time_start_4" type="text" class="required" value="" class="required" readonly>
				<strong>to:</strong><input id="time_end_4" name="time_end_4" type="text" value="" class="required" readonly>
				<br />
				<strong>Description:</strong><input id="description_4" name="description_4" type="text" size="50" value="" class="required">
				<input id="e" name="e" type="hidden" value="weekly">
				<input type="submit" value="Submit">
			</form>
		</span>
	</div>
</div>
</body>
</html>
<?php	
	}
?>