﻿<?php
	session_start();
	include ("cfg.php");
	include ("db.php");

	if (isset($_SESSION['login_validation']) && $_SESSION['login_validation'] == 1) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<link rel='stylesheet' type='text/css' href='style.css' />
<link rel='stylesheet' type='text/css' href='./accordion/jquery-ui-1.8.16.custom.css' />
<link rel='stylesheet' type='text/css' href='./calendrical/calendrical.css' />
<script type='text/javascript' src='./jquery/jquery-1.7.1.min.js'></script>
<script type='text/javascript' src='./jquery/jquery-ui-1.8.17.custom.min.js'></script>
<script type='text/javascript' src='./calendrical/jquery.calendrical.js'></script>
<script type='text/javascript' src='./validation/jquery.validate.min.js'></script>
<script type='text/javascript' src='./validation/date.validate.js'></script>
<script type='text/javascript' src='./validation/time.validate.js'></script>
<script type='text/javascript'>
	$(function() {
		$('#date_1').calendricalDate(); 
		$('#time_start_1, #time_end_1').calendricalTimeRange({
			defaultTime:  {hour: 8, minute: 0},
			minTime: {hour: 8, minute: 0},
			maxTime: {hour: 23, minute: 45},
			timeInterval: 30
		});
	});
	
	$(function() {
		$('#date_2').calendricalDate(); 
	});
	
	$(function() {
		$('#date_start_3, #date_end_3').calendricalDateRange();
	});
	
	$(function() {
		$('#date_start_4, #date_end_4').calendricalDateRange();
		$('#time_start_4, #time_end_4').calendricalTimeRange({
			defaultTime:  {hour: 8, minute: 0},
			minTime: {hour: 8, minute: 0},
			maxTime: {hour: 23, minute: 45},
			timeInterval: 30
		});
    });
	
	$(function(){
		$("#add_event_1").validate({
			rules: {
				"time_end_1": {timeGreaterThan: "#time_start_1"}
			}
		});
		$("#add_event_2").validate();
		$("#add_event_3").validate({
			rules: {
				"date_end_3": {dateGreaterThan: "#date_start_3"},
			}
		});
		$("#add_event_4").validate({
			rules: {
				"date_end_4": {dateGreaterThan: "#date_start_4"},
				"time_end_4": {timeGreaterThan: "#time_start_4"}
			}
		});
	});
</script>

</head>
<body>
<div id='logo'><u>Modify event:</u></div>
<div id="accordion">
<?php
	function rev_date($date) {
		$pos1 = strpos($date, '-', 0);
		$pos2 = strpos($date, '-', $pos1+1);
		$y = substr($date, 0, $pos1);
		$m = substr($date, $pos1+1, $pos2-$pos1-1);
		$d = substr($date, $pos2+1, strlen($date)-$pos2);
		return $d.'/'.$m.'/'.$y;
	}

	function rev_time($time) {
		$pos1 = strpos($time, ':', 0);
		$pos2 = strpos($time, ':', $pos1+1);
		$h = substr($time, 0, $pos1);
		$m = substr($time, $pos1+1, $pos2-$pos1-1);
		if ($h >= 12) {
			$sign = "pm";
		} else {
			$sign = "am";
		}
		if ($h >= 13) {
			$h = $h - 12;
		}
		return $h.':'.$m.' '.$sign;
	}

	$act = $_GET['act'];
	echo '<div id="login_location"><p class="login"><a href="delete.php?id='.$act.'">Delete event</a> / <a href="index.php">Back to calendar</a></p></div>';
	$sql = "SELECT * FROM ".RECORD_DATABASE_NAME." WHERE eid='$act' ORDER BY id";
	$result = mysql_query($sql);
	$row = mysql_fetch_assoc($result);
	$type = $row['type'];
	switch ($type) {
		case 'meeting':
			echo '<h3>Meeting event modification:</h3>';
			echo '<span class="modify_text">';
			echo '<form id="add_event_1" name="add_event_1" method="post" action="modify_database.php" >';
			echo '<strong>Date:</strong><input id="date_1" name="date_1" type="text" value="'.rev_date($row['start_date']).'" readonly>';
			echo '<br />';
			echo '<strong>Time from:</strong><input id="time_start_1" name="time_start_1" type="text" value="'.rev_time($row['start_time']).'" readonly>';
			echo '<strong>to:</strong><input id="time_end_1" name="time_end_1" type="text" value="'.rev_time($row['end_time']).'" readonly>';
			echo '<br />';
			echo '<strong>Description:</strong><input id="description_1" name="description_1" type="text" size="50" value="'.$row['title'].'" class="required">';
			echo '<input id="eid" name="eid" type="hidden" value="'.$act.'">';
			echo '<input id="act" name="act" type="hidden" value="modify">';
			echo '<input id="e" name="e" type="hidden" value="meeting">';
			echo '<br />';
			echo '<input type="submit" value="Submit">';
			echo '</form>';
			echo '</span>';
			break;
		case 'oneday';
			echo '<h3>One day event modification:</h3>';
			echo '<span class="modify_text">';
			echo '<form id="add_event_2" name="add_event_2" method="post" action="modify_database.php" >';
			echo '<strong>Date:</strong><input id="date_2" name="date_2" type="text" value="'.rev_date($row['start_date']).'" readonly>';
			echo '<br />';
			echo '<strong>Description:</strong><input id="description_2" name="description_2" type="text" size="50" value="'.$row['title'].'" class="required">';
			echo '<input id="eid" name="eid" type="hidden" value="'.$act.'">';
			echo '<input id="act" name="act" type="hidden" value="modify">';
			echo '<input id="e" name="e" type="hidden" value="oneday">';
			echo '<br />';
			echo '<input type="submit" value="Submit">';
			echo '</form>';
			echo '</span>';
			break;
		case 'longday';
			echo '<h3>Long day event modification:</h3>';
			echo '<span class="modify_text">';
			echo '<form id="add_event_3" name="add_event_3" method="post" action="modify_database.php" >';
			echo '<strong>Date from:</strong><input id="date_start_3" name="date_start_3" type="text" value="'.rev_date($row['start_date']).'" readonly>';
			echo '<strong>to:</strong><input id="date_end_3" name="date_end_3" type="text" value="'.rev_date($row['end_date']).'" readonly>';
			echo '<br />';
			echo '<strong>Description:</strong><input id="description_3" name="description_3" type="text" size="50" value="'.$row['title'].'" class="required">';
			echo '<input id="eid" name="eid" type="hidden" value="'.$act.'">';
			echo '<input id="act" name="act" type="hidden" value="modify">';
			echo '<input id="e" name="e" type="hidden" value="longday">';
			echo '<br />';
			echo '<input type="submit" value="Submit">';
			echo '</form>';
			echo '</span>';
			break;
		case 'weekly';
			echo '<h3>Weekly event modification:</h3>';
			echo '<span class="content_text">';
			echo '<form id="add_event_4" name="add_event_4" method="post" action="modify_database.php" >';
			echo '<strong>Date from:</strong><input id="date_start_4" name="date_start_4" type="text" value="'.rev_date($row['start_date']).'" readonly>';
			$end = $row;
			while ($row = mysql_fetch_assoc($result)) {
				$end = $row;
			}
			echo '<strong>to:</strong><input id="date_end_4" name="date_end_4" type="text" value="'.rev_date($end['start_date']).'" readonly>';
			echo '<br />';
			echo '<strong>Time from:</strong><input id="time_start_4" name="time_start_4" type="text" value="'.rev_time($end['start_time']).'" readonly>';
			echo '<strong>to:</strong><input id="time_end_4" name="time_end_4" type="text" value="'.rev_time($end['end_time']).'" readonly>';
			echo '<br />';
			echo '<strong>Description:</strong><input id="description_4" name="description_4" type="text" size="50" class="required" value="'.$end['title'].'" class="required">';
			echo '<input id="eid" name="eid" type="hidden" value="'.$act.'">';
			echo '<input id="act" name="act" type="hidden" value="modify">';
			echo '<input id="e" name="e" type="hidden" value="weekly">';
			echo '<br />';
			echo '<input type="submit" value="Submit">';
			echo '</form>';
			echo '</span>';
			break;
	}
?>
</div>
</body>
</html>
<?php	
	}
?>