-- Database: `calander`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `calendar_record`
-- 

CREATE TABLE `calendar_record` (
  `id` int(11) NOT NULL auto_increment,
  `eid` varchar(22) NOT NULL,
  `title` varchar(100) NOT NULL,
  `start_date` date NOT NULL,
  `start_time` time NOT NULL,
  `end_date` date NOT NULL,
  `end_time` time NOT NULL,
  `all_day_event` tinyint(1) NOT NULL,
  `url` varchar(100) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `create_user` varchar(50) NOT NULL,
  `modify_user` varchar(50) NOT NULL,
  `type` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `calendar_user`
-- 

CREATE TABLE `calendar_user` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(50) NOT NULL,
  `pwd` varchar(50) NOT NULL,
  `permission` varchar(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`user`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `calendar_user`
-- 

INSERT INTO `calendar_user` VALUES (1, 'admin', 'pass2', 'A');
INSERT INTO `calendar_user` VALUES (2, 'user', 'pass1', 'U');
